<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://about.me/bharatkambariya
 * @since             1.0.0
 * @package           Seo_Spider_Tool
 *
 * @wordpress-plugin
 * Plugin Name:       SEO Spider Tool
 * Plugin URI:        https://wordpress.org/plugins/seo-spider-tool/
 * Description:       You no longer need to check the how many h1 is avalable on your page. Simply activate the plugin and visit the setting page to SEO Spider Tool and check the how many h1 is available in your pages.
 * Version:           1.0.0
 * Author:            bharatkambariya
 * Author URI:        https://about.me/bharatkambariya
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       seo-spider-tool
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-seo-spider-tool-activator.php
 */
function activate_seo_spider_tool() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-seo-spider-tool-activator.php';
	Seo_Spider_Tool_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-seo-spider-tool-deactivator.php
 */
function deactivate_seo_spider_tool() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-seo-spider-tool-deactivator.php';
	Seo_Spider_Tool_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_seo_spider_tool' );
register_deactivation_hook( __FILE__, 'deactivate_seo_spider_tool' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-seo-spider-tool.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_seo_spider_tool() {

	$plugin = new Seo_Spider_Tool();
	$plugin->run();

}
run_seo_spider_tool();
